Void Multiple Redemptions (Redemptions 1.0)

​

Deletes processed multiple redemptions at once and returns the reward to the user.

Headers

  • This is a combination of unique API key as well as business key (UUID) as the Authorization header.

Body

application/json
  • Email address of the user acocunt from which you are voiding the redemptions.

  • Array of comma-separated IDs to be entered if the redemption IDs are not provided. If both redemption_id and redemption_code are provided, then only redemption_id will be processed. redemption_code must be used to void coupon and promo codes.

  • Array of comma-separated redemption IDs (int64) returned when the redemptions are created.

  • Single scan code of the user is a required parameter when the user redeems a reward through the single scan flow. The code identifies the user requesting the redemption.

  • Used only with promos and coupons. Transaction number sent at the time of redemption.

  • Loyalty debit card number used by some businesses to locate the guest account.

  • Phone number of the user account from which you are voiding the redemptions.

Responses

  • application/json
Request Example for delete/api/pos/redemptions/multiple_destroy
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/redemptions/multiple_destroy \
  --request DELETE \
  --header 'Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "test@example.com",
  "redemption_id": [
    577084,
    577085
  ]
}'
{}